Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 599077 - Intel 915 X hang, perhaps due to large display
Intel 915 X hang, perhaps due to large display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 12:17 EDT by David Reed
Modified: 2011-06-27 13:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.0.log, smolt info, dmesg output, xorg.conf (253.63 KB, application/x-gzip)
2010-06-02 12:17 EDT, David Reed
no flags Details

  None (edit)
Description David Reed 2010-06-02 12:17:25 EDT
Created attachment 419088 [details]
xorg.0.log, smolt info, dmesg output, xorg.conf

Description of problem:

Intel driver in Fedora 13 hangs after 5-20 minutes, usually when scrolling or repainting in Firefox or Thunderbird. Seems only to happen when running large external display as primary monitor (2048x11152), not when using netbook's primary display (1024x576).

Version-Release number of selected component (if applicable):
2.11.0-4.fc13

How reproducible:

Happens a while after I boot Fedora 13 and run for a while with Firefox and/or Thunderbird. I *think* it happens mostly when the app in question fills a large area on the right half of the screen... but that might just be superstitious.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Screen freezes, but NOT mouse cursor, which continues to change properly as the mouse is moved. However the screen is never updated by the applications, which continue to run.

If I switch to console 2 (ctrl-alt-F2), I can log in as root and do anything I want, kill apps, etc., but when I switch back, the screen image stays frozen as it was, while the mouse cursor works fine.

dmesg log attached shows a GPU hang.  (note that I booted with the debugging parameters Fedora requests, so there is lots of logging of drm activity).

Expected results:

Proper operation.


Additional info:

See attached zip containing Xorg.0.log, smolt info, dmesg output, and xorg.conf.

I did not have THIS problem in FC12.  However, the driver did have some quirks in FC12 that seem to have been fixed in FC13.

This is REALLY important to me.  Hence, I would be happy to conduct tests needed to find the problem.  I note that a number of patches in the intel driver bug server, for dates post-FC13 seem to address underlying issues that might be related - but none matches this specific type of problem that I describe.  I don't know how to build a test driver that incorporates such patches for Fedora 13, but would be happy to try doing such a build if someone could tell me how to build the fedora package based on newer source bits from there.
Comment 1 David Reed 2010-06-09 14:56:45 EDT
This also seems to happen when my laptop blanks the screen or during the time the screen is blanked after being idle without user input for some time.

Symptoms are the same, OOPS in the dmesg is the same, but the screen is black.  I can switch to a different terminal with ctrl-alt-2 and log in.  But I cannot get back to the Gnome screen.

Is the bug being looked at?
Comment 2 Bug Zapper 2011-06-02 08:19:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:21:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.